
Redmine - Defect #15754

Error when email is configured.

2013-12-22 14:01 - arun kumar

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.4.1

Description

I am getting error when creating/updating the issue after configuring the email. please find the log below. We would appreciate your

help on this.

Started POST "/projects/horizon/issues" for 192.168.1.1 at 2013-12-22 16:50:09 +0400

Processing by IssuesController#create as HTML

Parameters: {"utf8"=>"✓", "authenticity_token"=>"UYuZBaBvnq1fv9BbwWHdwwlO2s5Cpx89Y+FRbSCh28Q=",

"issue"=>{"tracker_id"=>"1", "subject"=>"Test Email configuration", "description"=>"Test Email configuration 3", "status_id"=>"1",

"priority_id"=>"2", "assigned_to_id"=>"3", "parent_issue_id"=>"", "start_date"=>"2013-12-22", "due_date"=>"",

"estimated_hours"=>"", "done_ratio"=>"0"}, "commit"=>"Create", "project_id"=>"horizon"}

Current user: arun (id=3)

Completed 500 Internal Server Error in 106.3ms

TypeError (can't convert nil into Hash):

app/models/mailer.rb:409:in `mail'

app/models/mailer.rb:44:in `issue_add'

app/models/mailer.rb:422:in `initialize'

app/models/mailer.rb:445:in `method_missing'

app/models/mailer.rb:52:in `block in deliver_issue_add'

app/models/issue.rb:821:in `each_notification'

app/models/mailer.rb:51:in `deliver_issue_add'

app/models/issue.rb:1514:in `send_notification'

app/models/issue.rb:163:in `create_or_update'

app/controllers/issues_controller.rb:146:in `create'

Related issues:

Related to Redmine - Defect #15577: Error 500 when create a new issue in V2.4.1 Closed

History

#1 - 2013-12-22 14:10 - arun kumar

To update you all that it is running on webrick server.

#2 - 2014-03-01 02:16 - Toshi MARUYAMA

- Related to Defect #15577: Error 500 when create a new issue in V2.4.1 added

#3 - 2014-03-01 02:17 - Toshi MARUYAMA

- Status changed from New to Needs feedback

It seems your plugin is not compatible.

#4 - 2014-05-26 17:13 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

User has not logged in since 2014-01-28, no feedback, closing
#5 - 2014-07-15 16:11 - Alice Etchegaray

Hi,

I have exactly the same problem.

But after deleting the incompatible plugin and restart the service, this error doesn't disappear..

I don't know why.

Here is my log error :

RuntimeError (Delivery method cannot be nil):

app/models/mailer.rb:410:in `mail'

app/models/mailer.rb:44:in `issue_add'

app/models/mailer.rb:423:in `initialize'

app/models/mailer.rb:446:in `method_missing'

app/models/mailer.rb:52:in `block in deliver_issue_add'

app/models/issue.rb:826:in `each_notification'

app/models/mailer.rb:51:in `deliver_issue_add'

app/models/issue.rb:1519:in `send_notification'

app/models/issue.rb:165:in `create_or_update'

app/controllers/issues_controller.rb:146:in `create'

Thank you to help me...

#6 - 2014-07-16 03:46 - Toshi MARUYAMA

Do not post closed issue and please use forum.
